Get intent comparison evidence
GET
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidcomparison_id*Comparison IdFormat
uuidevidence_id*Evidence IdFormat
uuidSuccessful Response
application/json- response
attributes?content_sha256*Content Sha256Match
^[a-f0-9]{64}$evidence_kind*Evidence KindLength
1 <= length <= 100id*IdFormat
uuidlocation?|nullobject?|nullobserved_at?Observed AtFormat
date-timeprovider*ProviderLength
1 <= length <= 100relationship_kind?|nullsource_ref*Source RefLength
1 <= length <= 2048source_type*Source TypeValue in
"code""cloud""cicd"subject*summary*SummaryLength
1 <= length <= 1000curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/comparisons/497f6eca-6276-4993-bfeb-53cbbbba6f08/evidence/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "attributes": { "property1": "string", "property2": "string" }, "content_sha256": "string", "evidence_kind": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "location": { "end_column": 1, "end_line": 1, "path": "string", "start_column": 1, "start_line": 1 }, "object": { "attributes": { "property1": "string", "property2": "string" }, "key": "string", "kind": "repository", "name": "string" }, "observed_at": "2019-08-24T14:15:22Z", "provider": "string", "relationship_kind": "string", "source_ref": "string", "source_type": "code", "subject": { "attributes": { "property1": "string", "property2": "string" }, "key": "string", "kind": "repository", "name": "string" }, "summary": "string"}